package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;
import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * @author hgw
 */
@ApiModel(value = "代理商信息参数")
public class TenantProxyDto implements Serializable {

    @ApiModelProperty(value = "人员id")
    private Integer userId;

    @ApiModelProperty(value = "父级人员id")
    private Integer parentId;

    @ApiModelProperty(value = "代理商名称")
    private String proxyName;

    @NotBlank(message = "人员名称不能为空")
    @ApiModelProperty(value = "人员名称")
    private String name;

    @NotBlank(message = "手机号不能为空")
    @Size(max = 11, message = "手机号最高11位,请核实后在填写!")
    @Pattern(regexp = "^[0-9]*$", message = "手机只能填写数字,请核实后在填写!")
    @ApiModelProperty(value = "手机号")
    private String phone;

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getProxyName() {
        return proxyName;
    }

    public void setProxyName(String proxyName) {
        this.proxyName = proxyName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }
}
